For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
      • GETGet all entities
      • POSTCreate an entity
      • GETGet the current entity
      • PATCHUpdate the current entity
      • GETGet an entity
      • PATCHUpdate an entity
      • POSTActivate an entity
      • POSTDeactivate an entity
      • PUTUpload an entity logo
      • DELDelete an entity's logo
      • GETGet entity metadata
      • PUTReplace entity metadata
      • GETGet entity settings
      • PATCHUpdate entity settings
      • GETGet the next document numbers for an entity
      • GETGet an entity of this user
      • PATCHUpdate an entity of this user
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
CommonEntities

Update entity settings

PATCH
/entities/:entity_id/settings
PATCH
/v1/entities/:entity_id/settings
$curl -X PATCH https://api.sandbox.monite.com/v1/entities/ea837e28-509b-4b6a-a600-d54b6aa0b1f5/settings \
> -H "x-monite-version: 2024-05-25" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "accounting": {
3 "ledger_account_ids": {
4 "payments": "payments",
5 "products": "products"
6 },
7 "tax_ids": {
8 "deductions": "deductions"
9 }
10 },
11 "allow_purchase_order_autolinking": true,
12 "currency": {
13 "default": "AED",
14 "exchange_rates": [
15 {
16 "base": "AED",
17 "rate": 0.98,
18 "to": "AED"
19 }
20 ]
21 },
22 "document_ids": {
23 "document_type_prefix": {
24 "credit_note": "credit_note",
25 "delivery_note": "delivery_note",
26 "invoice": "invoice",
27 "purchase_order": "purchase_order",
28 "quote": "quote"
29 },
30 "include_date": true,
31 "min_digits": 1,
32 "prefix": "prefix",
33 "separator": "/"
34 },
35 "document_rendering": {
36 "credit_note": {
37 "display_entity_bank_account": true
38 },
39 "display_entity_bank_account": true,
40 "display_line_items": true,
41 "invoice": {
42 "display_entity_bank_account": true
43 },
44 "line_items": {
45 "discount": {
46 "display": true,
47 "label": "label"
48 },
49 "measure_unit": {
50 "display": true,
51 "label": "label"
52 },
53 "name": {
54 "display": true,
55 "label": "label"
56 },
57 "price": {
58 "display": true,
59 "label": "label",
60 "precision": 1
61 },
62 "price_after_vat": {
63 "display": true,
64 "label": "label",
65 "precision": 1
66 },
67 "quantity": {
68 "display": true,
69 "label": "label"
70 },
71 "total_price": {
72 "display": true,
73 "label": "label",
74 "precision": 1
75 },
76 "total_price_after_vat": {
77 "display": true,
78 "label": "label",
79 "precision": 1
80 },
81 "vat_amount": {
82 "display": true,
83 "label": "label",
84 "precision": 1
85 },
86 "vat_rate": {
87 "display": true,
88 "label": "label",
89 "precision": 1
90 }
91 },
92 "quote": {
93 "display_entity_bank_account": true,
94 "display_signature": true
95 }
96 },
97 "generate_paid_invoice_pdf": true,
98 "language": "ab",
99 "mail": {
100 "reply_to": [
101 "reply_to"
102 ]
103 },
104 "payables_ocr_auto_tagging": [
105 {
106 "enabled": true,
107 "keywords": [
108 "keywords"
109 ],
110 "tag_id": "tag_id"
111 }
112 ],
113 "payables_skip_approval_flow": true,
114 "payment_priority": "working_capital",
115 "quote_signature_required": true,
116 "receivable_edit_flow": "compliant",
117 "reminder": {
118 "enabled": true
119 },
120 "vat_inclusive_discount_mode": "exclusive",
121 "vat_mode": "exclusive"
122}
Entity settings include configuration options for accounts payable, accounts receivable, accounting integration, and other functionality. Both partner tokens and entity user tokens can be used for authentication. Entity users must have a role with the `entity.update` permission. Related endpoints: * [Update an entity](https://docs.monite.com/api/entities/patch-entities-id) * [Update entity logo](https://docs.monite.com/api/entities/put-entities-id-logo) * [Update partner settings](https://docs.monite.com/api/partner-settings/patch-settings)
Was this page helpful?
Previous

Get the next document numbers for an entity

Next
Built with

Entity settings include configuration options for accounts payable, accounts receivable, accounting integration, and other functionality.

Both partner tokens and entity user tokens can be used for authentication. Entity users must have a role with the entity.update permission.

Related endpoints:

  • Update an entity
  • Update entity logo
  • Update partner settings

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entity_idstringRequired
A unique ID to specify the entity.

Headers

x-monite-versionstringRequired

Request

This endpoint expects an object.
accountingobjectOptional
allow_purchase_order_autolinkingbooleanOptional
Automatically attempt to find a corresponding purchase order for all incoming payables.
currencyobjectOptional
document_idsobjectOptional
document_renderingobjectOptional
Settings for rendering documents in PDF format.
generate_paid_invoice_pdfbooleanOptionalDefaults to false
This setting affects how PDF is generated for accounts receivable invoices that are paid, partially paid, or have credit notes applied. If this setting is `true`: * The totals block in the PDF invoice will include a list of all payments made and credit notes issued. * Once an invoice becomes fully paid, the payment link and QR code are removed. The PDF invoice gets regenerated at the moment when an invoice payment is recorded or a credit note is issued. This PDF is not issued as a separate document, and the original PDF invoice is no longer available.
languageenumOptional
mailobjectOptional
Email settings for the entity
payables_ocr_auto_tagginglist of objectsOptional
Auto tagging settings for all incoming OCR payable documents.
payables_skip_approval_flowbooleanOptionalDefaults to false

If enabled, the approval policy will be skipped and the payable will be moved to waiting_to_be_paid status.

payment_priorityenumOptional
Payment preferences for entity to automate calculating suggested payment date based on payment terms and entity preferences.
Allowed values:
quote_signature_requiredbooleanOptionalDefaults to false
Sets the default behavior of whether a signature is required to accept quotes.
receivable_edit_flowenumOptional
[Invoice compliance mode](https://docs.monite.com/accounts-receivable/regulatory-compliance/invoice-compliance) for accounts receivable. Possible values: * `compliant` - invoices cannot be edited once issued. * `non_compliant` - issued invoices can still be edited. * `partially_compliant` - deprecated mode, should not be used.
Allowed values:
reminderobjectOptional
vat_inclusive_discount_modeenumOptional

Defines whether the amount discounts (for percentage discounts it does not matter) on VAT inclusive invoices will be applied on amounts including VAT or excluding VAT.

Allowed values:
vat_modeenumOptional
Defines whether the prices of products in receivables will already include VAT or not.
Allowed values:

Response

Successful Response
accountingobject
allow_purchase_order_autolinkingboolean
Automatically attempt to find a corresponding purchase order for all incoming payables.
currencyobject
document_idsobject
document_renderingobject
Settings for rendering documents in PDF format.
generate_paid_invoice_pdfbooleanDefaults to false

This setting affects how PDF is generated for accounts receivable invoices that are paid, partially paid, or have credit notes applied. If this setting is true:

  • The totals block in the PDF invoice will include a list of all payments made and credit notes issued.
  • Once an invoice becomes fully paid, the payment link and QR code are removed.

The PDF invoice gets regenerated at the moment when an invoice payment is recorded or a credit note is issued. This PDF is not issued as a separate document, and the original PDF invoice is no longer available.

languageenum
mailobject
Email settings for the entity
payables_ocr_auto_tagginglist of objects
Auto tagging settings for all incoming OCR payable documents.
payables_skip_approval_flowbooleanDefaults to false

If enabled, the approval policy will be skipped and the payable will be moved to waiting_to_be_paid status.

payment_priorityenum
Payment preferences for entity to automate calculating suggested payment date based on payment terms and entity preferences.
Allowed values:
quote_signature_requiredbooleanDefaults to false
Sets the default behavior of whether a signature is required to accept quotes.
receivable_edit_flowenum

Invoice compliance mode for accounts receivable. Possible values:

  • compliant - invoices cannot be edited once issued.
  • non_compliant - issued invoices can still be edited.
  • partially_compliant - deprecated mode, should not be used.
Allowed values:
reminderobject
vat_inclusive_discount_modeenum

Defines whether the amount discounts (for percentage discounts it does not matter) on VAT inclusive invoices will be applied on amounts including VAT or excluding VAT.

Allowed values:
vat_modeenum
Defines whether the prices of products in receivables will already include VAT or not.
Allowed values:

Errors

400
Patch Entities ID Settings Request Bad Request Error
401
Patch Entities ID Settings Request Unauthorized Error
422
Patch Entities ID Settings Request Unprocessable Entity Error
429
Patch Entities ID Settings Request Too Many Requests Error

This setting affects how PDF is generated for accounts receivable invoices that are paid, partially paid, or have credit notes applied. If this setting is true:

  • The totals block in the PDF invoice will include a list of all payments made and credit notes issued.
  • Once an invoice becomes fully paid, the payment link and QR code are removed.

The PDF invoice gets regenerated at the moment when an invoice payment is recorded or a credit note is issued. This PDF is not issued as a separate document, and the original PDF invoice is no longer available.

Invoice compliance mode for accounts receivable. Possible values:

  • compliant - invoices cannot be edited once issued.
  • non_compliant - issued invoices can still be edited.
  • partially_compliant - deprecated mode, should not be used.